from object import Object
from ga import Ga

class GaTest(Object):
    def __init__(self, parent, type = None, name = None):
        Object.__init__(self, parent, type, name)
        
        self.ga = Ga(self)
        self.ga.subscribe(self.path)
        self.ga.setVar("numGens",1000)
        self.ga.setVar("crossoverProb",0.9)
        self.ga.setVar("mutateProb",0.01)
        self.ga.receiveMessage('run')

    def messageGaEval(self, pop):
        for id, ind in pop.iteritems():
            self.ga.receiveMessage('gaFitness',(id,sum(ind)))

    def messageGaBest(self, msg):
        fitness, ind = msg
        
        self.log("best: %f %s" % (fitness, ind))
