#!/usr/bin/python

from app import App
root = App()

from object import      Object
from optionServer import OptionServer
from dynLoad import     dynLoad
from soundServer import SoundServer

from shmup import Shmup

game = Object(root, name = "game")
shmup = Shmup(game)

sys = Object(root, name = "sys")
sys.setVar("render",False)
optionServer = OptionServer(sys)
#soundServer = SoundServer(sys)
gfxType = optionServer.getVar('gfx') or 'pygame'
gfxServer = (dynLoad(gfxType + "GfxServer") or Object)(sys)
inputServer = (dynLoad(gfxType + "InputServer") or Object)(sys)

root.run()
