from object import Object

class SceneNode(Object):
    def __init__(self, parent, type = None, name = None):
        Object.__init__(self,parent,type,name)
        
        self.defaultVar("pos",(0,0,0))
        self.defaultVar("scale",(1,1,1))
        self.defaultVar("rot",(0,0,0))
        self.defaultVar("static",False)
        
        self.addInitDepend("gfxServer")
        
    def init(self):
        gfxServer = self.getFirstObjectOfName("gfxServer")
        if gfxServer:
            gfxServer.addDestroyDepend(self.path)
