from bullet import Bullet
from circle import Circle

class StandardBullet(Bullet):
    def __init__(self, parent, type = None, name = None):
        Bullet.__init__(self, parent, type, name)
        
    def makeGfx(self):
        gfx = Circle(self)
        gfx.setVar("scale",(5,5,1))
        gfx.setVar("color",(0,0,1))
        return gfx

