def binToInt(bin, pos = 0, length = None):
    if not length:
        length = len(bin)
    b = 1
    s = 0
    for i in bin[pos:pos+length]:
        s += i * b
        b *= 2
    return s

def binToFloat(bin, min, max, pos = 0, length = None):
    if not length:
        length = len(bin)
    f = float(binToInt(bin[pos:pos+length])) / float(2 ** length - 1)
    return min + f * (max - min)

def binToEnum(bin, enum, pos = 0, length = None):
    if not length:
        length = len(bin)
    
    binMax = 2 ** length
    enumMax = len(enum)
    assert binMax >= enumMax
    
    i = binToInt(bin,pos,length)
    
    return enum[i * enumMax / binMax]

def minBits(num):
    b = 1
    i = 0
    while b < num:
        b *= 2
        i += 1
    return max(i,1)
