from object import Object
from keys import keys

class Cursor(Object):
    def __init__(self, parent, type = None, name = None):
        Object.__init__(self, parent, type, name)
        
        self.defaultVar('x',1)
        self.defaultVar('y',1)
        self.defaultVar('ch','X')
        
        self.addInitDepend("inputServer")
        
    def init(self):
        self.inputServer = self.getFirstObjectOfName('inputServer')
        if self.inputServer:
            self.inputServer.subscribe(self)
            
    def messageKeyCharDown(self, key):
        if key == '8':
            self.setVar('y',self.getVar('y')-1)
        elif key == '2':
            self.setVar('y',self.getVar('y')+1)
        elif key == '4':
            self.setVar('x',self.getVar('x')-1)
        elif key == '6':
            self.setVar('x',self.getVar('x')+1)

